package client.gui.container;

import common.inventory.ContainerWorkbench;
import common.inventory.InventoryPlayer;
import common.util.BlockPos;
import common.world.World;

public class GuiCrafting extends GuiContainer
{
//    private static final String craftingTableGuiTextures = "textures/gui/crafting_table.png";

    public GuiCrafting(InventoryPlayer playerInv, World worldIn)
    {
        this(playerInv, worldIn, BlockPos.ORIGIN);
    }

    public GuiCrafting(InventoryPlayer playerInv, World worldIn, BlockPos blockPosition)
    {
        super(new ContainerWorkbench(playerInv, worldIn, blockPosition));
    }

    /**
     * Draw the foreground layer for the GuiContainer (everything in front of the items). Args : mouseX, mouseY
     */
    public void drawGuiContainerForegroundLayer()
    {
        this.drawString("Handwerk", 28, 6);
        this.drawString("Inventar", 8, this.ySize - 96 + 2);
    }

//    /**
//     * Args : renderPartialTicks, mouseX, mouseY
//     */
//    protected void drawGuiContainerBackgroundLayer(int mouseX, int mouseY)
//    {
//        GlState.color(1.0F, 1.0F, 1.0F, 1.0F);
//        this.gm.getTextureManager().bindTexture(craftingTableGuiTextures);
//        int i = (this.width - this.xSize) / 2;
//        int j = (this.height - this.ySize) / 2;
////        this.rect(i, j, 0, 0, this.xSize, this.ySize);
//    }
}
