package server.biome;

import common.entity.types.EntityLiving;
import common.rng.RngItem;

public class RngSpawn extends RngItem {
	public final Class<? extends EntityLiving> type;
	public final int min;
	public final int max;

	public RngSpawn(Class<? extends EntityLiving> type, int weight, int min, int max) {
		super(weight);
		this.type = type;
		this.min = min;
		this.max = max;
	}
}
