package server.clipboard;

public class RotationValue {
	public final byte mask;
	public final byte data;
	public final Vector direction;

    public RotationValue(byte mask, byte data, Vector direction) {
        this.mask = mask;
        this.data = data;
        this.direction = direction;
    }

    public boolean isSet(int meta) {
        return (meta & mask) == data;
    }

    public int set(int meta) {
        return ((meta & ~mask) | data);
    }

    public Vector getDirection() {
        return direction;
    }
}
