package server.command;

import java.util.Map;

public class Argument {
	private final Parameter parameter;
	private final int position;
	private final String[] inputs;
	private final Map<String, Object> values;
	
	public Argument(Parameter parameter, int position, String[] inputs, Map<String, Object> values) {
		this.parameter = parameter;
		this.position = position;
		this.inputs = inputs;
		this.values = values;
	}
	
	public Parameter getParameter() {
		return this.parameter;
	}
	
	public int getPosition() {
		return this.position;
	}
	
	public String[] getInputs() {
		return this.inputs;
	}
	
	public Map<String, Object> getValues() {
		return this.values;
	}
}
