package server.command;

public class BooleanParser extends EnumParser<Boolean> {
	public BooleanParser(String name, Boolean def) {
		super(name, Boolean.class, def, true, false);
	}

	public Class<?> getTypeClass(boolean required) {
		return this.hasDefault() || required ? boolean.class : Boolean.class;
	}
}
