package server.command.commands;

import common.packet.SPacketMessage;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;

public class CommandMessage extends Command {
	public CommandMessage() {
		super("message");
		
		this.addString("message", false);
		
		this.addEnum("type", 't', SPacketMessage.Type.CHAT, SPacketMessage.Type.class, SPacketMessage.Type.values());
	}
	
	public void exec(CommandEnvironment env, Executor exec, String message, SPacketMessage.Type type) {
		env.getServer().sendPacket(new SPacketMessage(message, type));
	}
}
