package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;

public class CommandShutdown extends Command {
	public CommandShutdown() {
		super("shutdown");
		
		this.setParamsOptional();
		this.addString("message", "Server beendet", false);
	}
	
	public void exec(CommandEnvironment env, Executor exec, String message) {
		env.getServer().shutdown(message);
	}
}
