package server.worldgen;

import common.world.State;
import common.worldgen.DebugStates;
import server.world.WorldServer;

public class GeneratorDebug implements ChunkGenerator
{	
	public int getMaximumHeight() {
		return 72;
	}
    
    public void generateChunk(WorldServer world, int x, int z, ChunkPrimer primer)
    {
    	for(int bx = 0; bx < 16; ++bx) {
			for(int bz = 0; bz < 16; ++bz) {
				int sx = x * 16 + bx;
				int sz = z * 16 + bz;
//				primer.set(bx, 60, bz, Blocks.glass.getDefaultState());
				State state = DebugStates.getState(sx, sz);
				if(state != null) {
					primer.set(bx, 1, bz, state);
				}
			}
		}
    }
}
