package client.renderer.blockmodel;

import java.util.List;

import client.renderer.texture.TextureAtlasSprite;
import common.model.Transforms;
import common.util.Facing;

public class BuiltInModel implements IBakedModel
{
    private Transforms cameraTransforms;

    public BuiltInModel(Transforms p_i46086_1_)
    {
        this.cameraTransforms = p_i46086_1_;
    }

    public List<BakedQuad> getFaceQuads(Facing facing)
    {
        return null;
    }

    public List<BakedQuad> getGeneralQuads()
    {
        return null;
    }

    public boolean isAmbientOcclusion()
    {
        return false;
    }

    public boolean isGui3d()
    {
        return true;
    }

    public boolean isBuiltInRenderer()
    {
        return true;
    }

    public TextureAtlasSprite getParticleTexture()
    {
        return null;
    }

    public Transforms getItemCameraTransforms()
    {
        return this.cameraTransforms;
    }
}
