package common.block;

import common.tileentity.TileEntity;
import common.world.World;

public interface ITileEntityProvider
{
    /**
     * Returns a new instance of a block's tile entity class. Called on placing the block.
     */
    TileEntity createNewTileEntity(World worldIn, int meta);
}
