package common.enchantment;

import common.rng.RngItem;

public class RngEnchantment extends RngItem
{
    /** Enchantment object associated with this EnchantmentData */
    public final Enchantment enchantmentobj;

    /** Enchantment level associated with this EnchantmentData */
    public final int enchantmentLevel;

    public RngEnchantment(Enchantment enchantmentObj, int enchLevel)
    {
        super(enchantmentObj.getWeight());
        this.enchantmentobj = enchantmentObj;
        this.enchantmentLevel = enchLevel;
    }
}
