package common.world;

import common.dimension.Dimension;
import common.init.SoundEvent;
import common.nbt.NBTTagCompound;

public abstract class AWorldClient extends World {
	protected AWorldClient(Dimension dim, boolean debug) {
		super(dim, true, debug);
	}
	
	public abstract void playSound(double x, double y, double z, SoundEvent sound, float volume);
	public abstract void makeFireworks(double x, double y, double z, double motionX, double motionY, double motionZ, NBTTagCompound compund);
	public abstract void setLastLightning(int last, int color);
}
