package server.biome;

import common.biome.Biome;
import common.entity.animal.EntityMooshroom;
import common.init.Blocks;
import common.rng.WeightedList;

public class BiomeMushroom extends GenBiome
{
    public BiomeMushroom()
    {
        super(Biome.MUSHROOMPLAINS);
        this.treesPerChunk = -100;
        this.flowersPerChunk = -100;
        this.grassPerChunk = -100;
        this.mushroomsPerChunk = 1;
        this.bigMushroomsPerChunk = 1;
        this.topBlock = Blocks.mycelium.getState();
    }
    
    protected void addMobs(WeightedList<RngSpawn> mobs) {
        mobs.add(new RngSpawn(EntityMooshroom.class, 8, 4, 8));
    }
}
