package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;

public class CommandRebind extends Command {
	public CommandRebind() {
		super("rebind");
		
		this.addInt("port", 1024, 65535);
	}
	
	public void exec(CommandEnvironment env, Executor exec, int port) {
		env.getServer().bind(port);
	}
}
